#include "WakeupCall.h"
#include <sstream>

WakeupCall::WakeupCall(std::string extension, time_t time)
{
    this->mTime = time;
    this->mExtension =extension;
    this->mActive = false;
}

WakeupCall::~WakeupCall(){
}

void WakeupCall::setActive()
{
    this->mActive = true;
}

bool WakeupCall::isActive()
{
    return this->mActive;
}


std::string WakeupCall::getExtension()
{
    return this->mExtension;
}

time_t WakeupCall::getTime()
{
    return this->mTime;
}

std::string WakeupCall::getID()
{
    std::stringstream id;
    id << this->mTime << "-" << this->mExtension;
    return id.str();
}
